public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-go/go-net/
Date: Mon, 20 Aug 2018 00:20:58 +0000 (UTC)	[thread overview]
Message-ID: <1534724447.446bbe2a6b2b187c6cd9410af3e9061b06b9ae05.zmedico@gentoo> (raw)

commit:     446bbe2a6b2b187c6cd9410af3e9061b06b9ae05
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 20 00:12:50 2018 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon Aug 20 00:20:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=446bbe2a

dev-go/go-net: update 9999 ebuild

Package-Manager: Portage-2.3.47, Repoman-2.3.10

 dev-go/go-net/go-net-9999.ebuild | 54 ++++++++++++++++++++++++++--------------
 1 file changed, 35 insertions(+), 19 deletions(-)

diff --git a/dev-go/go-net/go-net-9999.ebuild b/dev-go/go-net/go-net-9999.ebuild
index bf416c447af..f9b9ae5ffca 100644
--- a/dev-go/go-net/go-net-9999.ebuild
+++ b/dev-go/go-net/go-net-9999.ebuild
@@ -1,15 +1,15 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-EGO_PN=golang.org/x/net/...
+EAPI=6
 EGO_SRC=golang.org/x/net
+EGO_PN=${EGO_SRC}/...
 
 if [[ ${PV} = *9999* ]]; then
 	inherit golang-vcs
 else
-	KEYWORDS="~amd64"
-	EGIT_COMMIT="b6d7b1396ec874c3b00f6c84cd4301a17c56c8ed"
+	KEYWORDS="~amd64 ~arm ~x86"
+	EGIT_COMMIT="aaf60122140d3fcf75376d319f0554393160eb50"
 	SRC_URI="https://github.com/golang/net/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
 	inherit golang-vcs-snapshot
 fi
@@ -20,24 +20,40 @@ HOMEPAGE="https://godoc.org/golang.org/x/net"
 LICENSE="BSD"
 SLOT="0/${PVR}"
 IUSE=""
-DEPEND="dev-go/go-crypto:=
-	dev-go/go-text:="
+DEPEND=">=dev-go/go-crypto-0_pre20180816:=
+	>=dev-go/go-sys-0_pre20180816:=
+	>=dev-go/go-text-0.3.0:="
 RDEPEND=""
 
 src_prepare() {
-	# disable broken tests
-	sed -e 's:TestReadProppatch(:_\0:' \
-		-i src/${EGO_SRC}/webdav/xml_test.go || die
-	sed -e 's:TestPingGoogle(:_\0:' \
-		-e 's:TestNonPrivilegedPing(:_\0:' \
-		-i src/${EGO_SRC}/icmp/ping_test.go || die
+	default
+	sed -e 's:TestDiag(:_\0:' \
+		-e 's:TestConcurrentNonPrivilegedListenPacket(:_\0:' \
+		-i src/${EGO_SRC}/icmp/diag_test.go || die
+	sed -e 's:TestConcurrentNonPrivilegedListenPacket(:_\0:' \
+		-i src/${EGO_SRC}/icmp/diag_test.go || die
+	sed -e 's:TestMultipartMessageBodyLen(:_\0:' \
+		-i src/${EGO_SRC}/icmp/multipart_test.go || die
 }
 
 src_compile() {
-	# Create a writable GOROOT in order to avoid sandbox violations.
-	cp -sR "$(go env GOROOT)" "${T}/goroot" || die
-	rm -rf "${T}/goroot/src/${EGO_SRC}" || die
-	rm -rf "${T}/goroot/pkg/$(go env GOOS)_$(go env GOARCH)/${EGO_SRC}" || die
-	export GOROOT="${T}/goroot"
-	golang-build_src_compile
+	local x
+	mkdir -p "${T}/golibdir/src/golang.org/x" || die
+	for x in sys text crypto; do
+		ln -s "$(get_golibdir_gopath)/src/golang.org/x/${x}" "${T}/golibdir/src/golang.org/x/${x}" || die
+	done
+	env GOPATH="${S}:${T}/golibdir" GOBIN="${S}/bin" \
+		go install -v -work -x ${EGO_BUILD_FLAGS} "${EGO_PN}" || die
+}
+
+src_test() {
+	GOPATH="${S}:${T}/golibdir" GOBIN="${S}/bin" \
+		go test -v -work -x "${EGO_PN}" || die
+}
+
+src_install() {
+	rm -rf "${S}/src/${EGO_SRC}/.git"* || die
+	golang_install_pkgs
+	exeinto "$(go env GOROOT)/bin"
+	doexe bin/*
 }


             reply	other threads:[~2018-08-20  0:21 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-08-20  0:20 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-11-29 18:16 [gentoo-commits] repo/gentoo:master commit in: dev-go/go-net/ Zac Medico
2018-08-20  1:01 Zac Medico
2018-08-19  6:38 Zac Medico
2016-09-21 13:57 Marek Szuba
2016-08-23 19:04 Markus Meier
2016-07-31  5:39 Zac Medico
2016-02-20 22:21 Zac Medico
2016-02-11 16:56 Zac Medico
2015-08-10 20:30 William Hubbs
2015-08-10  5:36 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1534724447.446bbe2a6b2b187c6cd9410af3e9061b06b9ae05.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox